Package com.google.protobuf

## Class WireFormat

- java.lang.Object
- - com.google.protobuf.WireFormat

    public final class WireFormat
    extends java.lang.Object

This class is used internally by the Protocol Buffer library and generated message implementations. It is public only because those generated messages do not reside in the `protobuf` package. Others should not use this class directly. This class contains constants and helper functions useful for dealing with the Protocol Buffer wire format.

Author:
  kenton@google.com Kenton Varda

### Nested Class Summary

Nested Classes
`static class` `WireFormat.FieldType` Lite equivalent to `Descriptors.FieldDescriptor.Type`.
`static class` `WireFormat.JavaType` Lite equivalent to `Descriptors.FieldDescriptor.JavaType`.

### Field Summary

Fields
`static int` `WIRETYPE_END_GROUP`
`static int` `WIRETYPE_FIXED32`
`static int` `WIRETYPE_FIXED64`
`static int` `WIRETYPE_LENGTH_DELIMITED`
`static int` `WIRETYPE_START_GROUP`
`static int` `WIRETYPE_VARINT`

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `getTagFieldNumber​(int tag)` Given a tag value, determines the field number (the upper 29 bits).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### WIRETYPE_VARINT

    public static final int WIRETYPE_VARINT

See Also:
  Constant Field Values

#### WIRETYPE_FIXED64

    public static final int WIRETYPE_FIXED64

See Also:
  Constant Field Values

#### WIRETYPE_LENGTH_DELIMITED

    public static final int WIRETYPE_LENGTH_DELIMITED

See Also:
  Constant Field Values

#### WIRETYPE_START_GROUP

    public static final int WIRETYPE_START_GROUP

See Also:
  Constant Field Values

#### WIRETYPE_END_GROUP

    public static final int WIRETYPE_END_GROUP

See Also:
  Constant Field Values

#### WIRETYPE_FIXED32

    public static final int WIRETYPE_FIXED32

See Also:
  Constant Field Values

### Method Detail

#### getTagFieldNumber

    public static int getTagFieldNumber​(int tag)

Given a tag value, determines the field number (the upper 29 bits).